package com.bernard.greposimu.model.game.researches;

import java.util.Map;
import java.util.Set;

import com.bernard.greposimu.model.game.Identified;
import com.bernard.greposimu.model.game.Resources;

public class Research implements Identified{
	
    String id;
    String name;
    String description;
    Set<Research> researchDependencies;
    Map<String,Integer> buildingDependencies;
    Resources resources;
    int requiredTime;
    int researchPoints;
    
	public Research(String id, String name, String description, Set<Research> researchDependencies,
			Map<String, Integer> building_dependencies, Resources resources, int required_time, int research_points) {
		this.id = id;
		this.name = name;
		this.description = description;
		this.researchDependencies = researchDependencies;
		this.buildingDependencies = building_dependencies;
		this.resources = resources;
		this.requiredTime = required_time;
		this.researchPoints = research_points;
	}

	@Override
	public String getId() {
		return id;
	}

	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public Set<Research> getResearchDependencies() {
		return researchDependencies;
	}

	public Map<String, Integer> getBuildingDependencies() {
		return buildingDependencies;
	}

	public Resources getResources() {
		return resources;
	}

	public int getRequiredTime() {
		return requiredTime;
	}

	public int getResearchpoints() {
		return researchPoints;
	}


}
